Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SNMPTrapSourceMBean

All Known Subinterfaces:
  SNMPAttributeChangeMBean, SNMPCounterMonitorMBean, SNMPGaugeMonitorMBean, SNMPJMXMonitorMBean, SNMPLogFilterMBean, SNMPStringMonitorMBean

public interface SNMPTrapSourceMBean
extends ConfigurationMBean

This MBean is the base of SNMP TRAP related config MBeans.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addEnabledServer(ServerMBean server)` Adds a feature to the EnabledServer attribute of the SNMPTrapSourceMBean object
`ServerMBean[]` | `getEnabledServers()` Defines a list of target servers for trap generation.
`boolean` | `removeEnabledServer(ServerMBean server)`
`void` | `setEnabledServers(ServerMBean[] serversEnabled)` Sets the enabledServers attribute of the SNMPTrapSourceMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getEnabledServers

    public ServerMBean[] getEnabledServers()

  Defines a list of target servers for trap generation. If no server is specified, no trap will be generated.

  Returns:
    The enabledServers value

### setEnabledServers

    public void setEnabledServers(ServerMBean[] serversEnabled)
                           throws javax.management.InvalidAttributeValueException,
                                  ConfigurationException

  Sets the enabledServers attribute of the SNMPTrapSourceMBean object

  Secure Value: null
  Parameters:
    `serversEnabled` - The new enabledServers value
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### addEnabledServer

    public boolean addEnabledServer(ServerMBean server)
                             throws javax.management.InvalidAttributeValueException,
                                    ConfigurationException

  Adds a feature to the EnabledServer attribute of the SNMPTrapSourceMBean object

  Parameters:
    `server` - The feature to be added to the EnabledServer attribute
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

### removeEnabledServer

    public boolean removeEnabledServer(ServerMBean server)
                                throws javax.management.InvalidAttributeValueException,
                                       ConfigurationException

  Parameters:
    `server` -
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    ConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD